package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussUserRole implements Serializable {
    private Integer id;

    private String rolename;

    private String rolecode;

    private Date createtime;

    private Integer validflag;

    private BigDecimal validtransamt;

    private Integer validtransnum;

    private Integer minnum;

    private Date opentime;

    private Integer protectdaynum;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRolename() {
        return rolename;
    }

    public void setRolename(String rolename) {
        this.rolename = rolename == null ? null : rolename.trim();
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getValidflag() {
        return validflag;
    }

    public void setValidflag(Integer validflag) {
        this.validflag = validflag;
    }

    public BigDecimal getValidtransamt() {
        return validtransamt;
    }

    public void setValidtransamt(BigDecimal validtransamt) {
        this.validtransamt = validtransamt;
    }

    public Integer getValidtransnum() {
        return validtransnum;
    }

    public void setValidtransnum(Integer validtransnum) {
        this.validtransnum = validtransnum;
    }

    public Integer getMinnum() {
        return minnum;
    }

    public void setMinnum(Integer minnum) {
        this.minnum = minnum;
    }

    public Date getOpentime() {
        return opentime;
    }

    public void setOpentime(Date opentime) {
        this.opentime = opentime;
    }

    public Integer getProtectdaynum() {
        return protectdaynum;
    }

    public void setProtectdaynum(Integer protectdaynum) {
        this.protectdaynum = protectdaynum;
    }
}